# peprock
Foundational Python library

[![Python 3.10](https://img.shields.io/badge/python-3.10-blue.svg)](https://docs.python.org/3.10/)
[![pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white)](https://github.com/pre-commit/pre-commit)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/charliermarsh/ruff/main/assets/badge/v1.json)](https://github.com/charliermarsh/ruff)
[![codecov](https://codecov.io/gh/Ponte-Energy-Partners/peprock/branch/main/graph/badge.svg?token=LWI96U2WSI)](https://codecov.io/gh/Ponte-Energy-Partners/peprock)
[![test](https://github.com/Ponte-Energy-Partners/peprock/actions/workflows/test.yml/badge.svg)](https://github.com/Ponte-Energy-Partners/peprock/actions/workflows/test.yml)
[![PyPI version](https://badge.fury.io/py/peprock.svg)](https://badge.fury.io/py/peprock)

**peprock** is a collection of versatile Python libraries, provided as namespace packages:

-   **[peprock.datetime][]**: Date/time and related helpers and constants.
-   **[peprock.models][]**: General purpose model classes.
-   **[peprock.patterns][]**: Reusable software design patterns.
-   **[peprock.subclasses][]**: Class hierarchy helpers.

  [peprock.datetime]: https://api.peprock.ponte.energy/datetime/index.html
  [peprock.models]: https://api.peprock.ponte.energy/models/index.html
  [peprock.patterns]: https://api.peprock.ponte.energy/patterns/index.html
  [peprock.subclasses]: https://api.peprock.ponte.energy/subclasses/index.html

Full API documentation is published to [api.peprock.ponte.energy][].

  [api.peprock.ponte.energy]: https://api.peprock.ponte.energy
